--
-- Configurao para o interceptador de requisies ao servio de acesso
--
local Utils = require "openbus.util.Utils"
local DATA_DIR = os.getenv("OPENBUS_DATADIR")
local config =
  assert(loadfile(DATA_DIR.."/conf/advanced/InterceptorsConfiguration.lua"))()

-- Acrescenta informao sobre as operaces a serem liberadas
config.interfaces = {
  {
    interface = Utils.COMPONENT_INTERFACE,
    excluded_ops = {"getFacet", "getFacetByName"}
  },
  {
    interface = Utils.ACCESS_CONTROL_SERVICE_INTERFACE,
    excluded_ops = {"loginByPassword", "loginByCertificate", "getChallenge", "isValid"}
  },
  {
    interface = Utils.ACCESS_CONTROL_SERVICE_INTERFACE_PREV,
    excluded_ops = {"loginByPassword", "loginByCertificate", "getChallenge"}
  },
  {
    interface = Utils.FAULT_TOLERANT_SERVICE_INTERFACE,
    excluded_ops = {"isAlive"}
  },
}

-- Acrescenta informao sobre as operaces que ativam atualizacao de estado
config.ft_update_policy = {
  {
    interface = Utils.ACCESS_CONTROL_SERVICE_INTERFACE,
    update_ops = {"loginByPassword", "loginByCertificate"}
  },
  {
    interface = Utils.ACCESS_CONTROL_SERVICE_INTERFACE_PREV,
    update_ops = {"loginByPassword", "loginByCertificate"}
  },
}



return config
